package de.jottyfan.minecraft.quickiefabric.blockentity;

import net.minecraft.block.entity.BlockEntity;
import net.minecraft.util.Tickable;

/**
 * 
 * @author jotty
 *
 */
public class DrillBlockNorthEntity extends BlockEntity implements Tickable {

	private static final Integer MAXDRILLSTEP = 24;
	private Integer drillstep;

	public DrillBlockNorthEntity() {
		super(QuickieFabricBlockEntity.DRILL_NORTH);
	}

	@Override
	public void tick() {
		drillstep = drillstep == null ? MAXDRILLSTEP : drillstep - 1;
		if (drillstep < 1) {
			drillstep = MAXDRILLSTEP;
			DrillBlockDownEntity.drill(getPos(), getPos().north().down(), getWorld());
		}
	}
}
