package de.jottyfan.minecraft.quickiefabric.blockentity;

import net.minecraft.block.entity.BlockEntity;
import net.minecraft.util.Tickable;

/**
 * 
 * @author jotty
 *
 */
public class DrillBlockSouthEntity extends BlockEntity implements Tickable {

	private static final Integer MAXDRILLSTEP = 24;
	private Integer drillstep;

	public DrillBlockSouthEntity() {
		super(QuickieFabricBlockEntity.DRILL_SOUTH);
	}

	@Override
	public void tick() {
		drillstep = drillstep == null ? MAXDRILLSTEP : drillstep - 1;
		if (drillstep < 1) {
			drillstep = MAXDRILLSTEP;
			DrillBlockDownEntity.drill(getPos(), getPos().south().down(), getWorld());
		}
	}
}
