package de.jottyfan.minecraft.quickiefabric.blocks;

import java.util.ArrayList;
import java.util.List;

import de.jottyfan.minecraft.quickiefabric.blockentity.DrillBlockWestEntity;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.minecraft.block.BlockEntityProvider;
import net.minecraft.block.BlockState;
import net.minecraft.block.FallingBlock;
import net.minecraft.block.Material;
import net.minecraft.block.entity.BlockEntity;
import net.minecraft.item.ItemStack;
import net.minecraft.loot.context.LootContext.Builder;
import net.minecraft.world.BlockView;

/**
 * 
 * @author jotty
 *
 */
public class BlockDrillWest extends FallingBlock implements BlockEntityProvider {
	
	public BlockDrillWest() {
		super(FabricBlockSettings.of(Material.STONE).hardness(2.5f));
	}

	@Override
	public BlockEntity createBlockEntity(BlockView world) {
		return new DrillBlockWestEntity();
	}

	@Override
	public List<ItemStack> getDroppedStacks(BlockState state, Builder builder) {
		List<ItemStack> list = new ArrayList<>();
		list.add(new ItemStack(QuickieBlocks.DRILL_WEST));
		return list;
	}
}
